## Assertion Utilities for GValue Assertion Utilities for GValue — Utilities to write assertions related to GValue more easily. |

## Functions

gboolean | gcut_value_equal ()
void | gcut_value_register_equal_func ()

## Description

To write assertions, you need to check equality and show expected and actual values.

The utilities help you to write assertions that are related to GValue.

## Functions

### gcut_value_equal ()

    gboolean
    gcut_value_equal (const GValue *value1,
                      const GValue *value2);

Compares two GValue, `value1` and `value2` by registered equal function. (See `gcut_value_register_equal_func()` for detail of how to register equal function of GValue)

#### Parameters

value1 | a GValue to be compared. |
value2 | a GValue to be compared. |

#### Returns

TRUE if `value1` equals to `value2` , FALSE otherwise.

Since: 1.0.5

### gcut_value_register_equal_func ()

    void
    gcut_value_register_equal_func (GType type1,
                                    GType type2,
                                    GEqualFunc equal_func);

e.g.:

    1
    TODO

Registers equality check function between GValue of `type1` and GValue of `type2` .

#### Parameters

type1 | a GType of compared GValue. |
type2 | a GType of compared GValue. |
equal_func | a function that compares `type1` 's GValue with `type2` 's GValue. |

Since: 1.0.5

## Types and Values